%global pkg emacs-identica-mode
%global common_name identica-mode
%global pkgname Emacs-identica-mode
%global pkgdir %{buildroot}%{emacs_lispdir}/identica-mode/
%global ver 0.8
%global rel 1
%global INSTALL /usr/bin/install

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 23.1.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif


Name:		%{pkg}
Version:	%{ver}
Release:	%{rel}%{?dist}
Summary:	Identi.ca mode for emacs

Group:		Applications/Editors
License:	GPLv2+
URL:		https://savannah.nongnu.org/projects/identica-mode/
Source0:	http://mirror.vocabbuilder.net/savannah/identica-mode/identica-mode.tar.gz
Source1:	%{common_name}-init.el
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	emacs emacs-el
Requires:	emacs(bin) >= %{emacs_version}
		
%description
This package provides identica mode for emacs.
Identi.ca is a free software microblogging service, 
similar to Twitter, based on the Laconi.ca code base.

%package el
Summary:	Source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
Emacs-identica-mode under GNU Emacs.
You do not need to install this package
 to run Emacs-identica-mode.
Install the emacs-identica-mode package 
to use %{pkgname}  with GNU Emacs.

%prep
%setup -q -n %{common_name}
chmod 644 *

%build
emacs --no-site-file --batch --eval '(progn (setq load-path (cons "." load-path)))' -f batch-byte-compile *.el

%install
rm -rf %{buildroot}
%{INSTALL} -m 755 -d %{pkgdir}
%{INSTALL} -m 755 -d %{buildroot}%{emacs_startdir}	
%{INSTALL} -m 644 %{common_name}.* %{buildroot}%{emacs_lispdir}/%{common_name}
%{INSTALL} -m 644 %{SOURCE1} %{buildroot}%{emacs_startdir}



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING
%{emacs_lispdir}/%{common_name}/*.elc
%{emacs_startdir}/%{common_name}-init.el
%dir %{emacs_lispdir}/%{common_name}
%dir %{emacs_startdir}

%files el
%defattr(-,root,root,-)
%{emacs_lispdir}/%{common_name}/*.el

%changelog
* Sun Nov 01 2009 Arun SAG <sagarun [AT] gmail dot com> - 0.8-1
- Initial release 0.8-1
